# Pyspextools

Pyspextools is a collection of python tools for the SPEX X-ray spectral fitting package (see the 
[SPEX website](http://www.sron.nl/spex)). 

## Install

Installing pyspextools can be done directly using pip. Before you continue, please think about where you want 
to install pyspextools. It may be wise to create an Anaconda environment where pyspextools can be compiled with 
the most compatible versions of the modules that pyspextools depends on.

Install pyspextools as follows:
```
(conda) linux:~/> pip install pyspextools
```
Other install options can be found on the [install page of the documentation](https://spex-xray.github.io/pyspextools/install.html).

## Usage

Please see the documentation pages for tutorials and reference documentation:

[Full documentation of pyspextools](https://spex-xray.github.io/pyspextools/)

## Scientific citations

If pyspextools and SPEX were useful for your scientific paper, please cite these packages with their DOIs on Zenodo:
- [Pyspextools publication on Zenodo](https://doi.org/10.5281/zenodo.3245804)
- [SPEX publication on Zenodo](https://doi.org/10.5281/zenodo.1924563)

## Under development

Please note that pyspextools is still under development. Feel free to submit bug reports or feature requests by 
raising an issue on our [Github page](https://github.com/spex-xray/pyspextools/issues).

